# IT-Syndikat Assembly map

ITS Assembly for integration into the <https://rc3.world>. It is a representation of our club rooms (with some extensions) for the Workadventure environment.

The map is also reachable outside of congress time at the following link:
> <https://play.aaaaaaaaaaaadventu.re/_/global/git.it-syndikat.org/IT-Syndikat/rc3-its-assembly-2021/raw/branch/master/a12dventure/main.json>

## Tutorials:

* https://codimd.c3d2.de/WA-Zone-Einstieg-11#
* https://howto.rc3.world/

## License:

If not stated otherwise, the files are licensed under the terms of [CC-BY 4.0](https://creativecommons.org/licenses/by/4.0/).

### Not covered by this license:

* all files in the folders:
   - `community_content/`
   - `world-tiles/`

## HowTo / Extension Foo:

* Make your own branch for experiments. Push changes to `master` if and only if they are ready for deployment. Workadventure draws the files directly from the repository, so ensure not to break things for visitors of our assembly.

### Folder structure:
* `2rc3/` Contains the tiled maps in `*.json` format. Make your changes here.

* `a12dventure/` Deployed version. Will be updated at commit time.

* `badges/` source images to create badges at congrass time.

* `community_content/` local copy of all referenced images from external sources. See license files for terms of use and distribution.

* `script/` contains deployment scripts.

* `tilesets_to_embed/` Copies of the embedded tilesets. This files are only for convenience to easily share tiles between multiple maps. Currently Workadventure supports only embedded tilesets in the map files, so these files are not actively used in deployed maps.

* `world-tiles/` submodule to clone from https://git.cccv.de/rc3/world-tiles.git  
This repository contains examples and tilesets as starting point.  
Clone with the argument `--recurse-submodules` or initialize the submodules with:  
`git submodule init`  
`git submodule update --remote`

* Put the image files (in `*.png` format) in the main folder and ensure the embedded tilesets refer to them as relative path (`../your_image.png`).

